Attach a drive to a local path
curl --request POST \
--url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/drives/mount \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driveName": "<string>",
"mountPath": "<string>",
"drivePath": "<string>",
"gidMap": "<string>",
"readOnly": true,
"uidMap": "<string>"
}
'import requests
url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/drives/mount"
payload = {
"driveName": "<string>",
"mountPath": "<string>",
"drivePath": "<string>",
"gidMap": "<string>",
"readOnly": True,
"uidMap": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
driveName: '<string>',
mountPath: '<string>',
drivePath: '<string>',
gidMap: '<string>',
readOnly: true,
uidMap: '<string>'
})
};
fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/drives/mount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"driveName": "<string>",
"drivePath": "<string>",
"gidMap": "<string>",
"message": "<string>",
"mountPath": "<string>",
"readOnly": true,
"success": true,
"uidMap": "<string>"
}{
"error": "Error message"
}{
"error": "Error message"
}drive
Attach a drive to a local path
Mounts an agent drive using the blfs binary to a local path, optionally mounting a subpath within the drive. Supports optional UID/GID mapping to remap file ownership between the local sandbox and the filer (always mapped to filer UID/GID 0). Mapping values can be set per-request via uidMap/gidMap fields, or globally via BLFS_UID_MAP/BLFS_GID_MAP environment variables (request values take precedence).
POST
/
drives
/
mount
Attach a drive to a local path
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Drive attachment parameters
Last modified on June 17, 2026
Was this page helpful?
⌘I
